GrailsLazyProxyPrintWriter (Grails 4.0.3)
Date: 2020-04-03

Package: org.grails.buffer

## [Java] Class GrailsLazyProxyPrintWriter

- org.grails.buffer.GrailsLazyProxyPrintWriter

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static interface` | `GrailsLazyProxyPrintWriter.DestinationFactory` | Factory to lazily instantiate the destination.

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsPrintWriter` | `CRLF, LOG, allowUnwrappingOut, out, previousOut, streamCharBufferTarget, trouble, usageFlag`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `destinationActivated`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsLazyProxyPrintWriter (GrailsLazyProxyPrintWriter.DestinationFactory factory)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.io.Writer` | `getOut()`
    `` | `boolean` | `isAllowUnwrappingOut()`
    `` | `boolean` | `isDestinationActivated()`
    `` | `void` | `setDestinationActivated(boolean destinationActivated)`
    `` | `java.io.Writer` | `unwrap()`
    `` | `void` | `updateDestination(GrailsLazyProxyPrintWriter.DestinationFactory f)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsPrintWriter` | `append, append, append, append, append, appendNullCharSequence, asPrintWriter, asType, checkError, clone, close, findStreamCharBufferTarget, flush, getMetaClass, getOut, getProperty, getWriterForEncoder, invokeMethod, isAllowUnwrappingOut, isDestinationActivated, isUsed, leftShift, leftShift, leftShift, leftShift, leftShift, markUsed, plus, print, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setError, setMetaClass, setOut, setProperty, setUsed, unwrap, unwrapWriter, write, write, write, write, write, write, write, writeWritable`
    `class java.io.Writer` | `java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(int), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(long, int), java.io.Writer#wait(long), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()`

- - ### Property Detail

    - #### boolean destinationActivated

  - ### Constructor Detail

    - #### public GrailsLazyProxyPrintWriter(GrailsLazyProxyPrintWriter.DestinationFactory factory)

  - ### Method Detail

    - #### @java.lang.Override public java.io.Writer getOut()

    - #### @java.lang.Override public boolean isAllowUnwrappingOut()

    - #### @java.lang.Override public boolean isDestinationActivated()

    - #### public void setDestinationActivated(boolean destinationActivated)

    - #### @java.lang.Override public java.io.Writer unwrap()

    - #### public void updateDestination(GrailsLazyProxyPrintWriter.DestinationFactory f)